Skip to main content
GET
/
v1
/
accounts
/
{account_id}
/
evaluationJobs
/
{evaluation_job_id}
Get Evaluation Job
curl --request GET \
  --url https://api.fireworks.ai/v1/accounts/{account_id}/evaluationJobs/{evaluation_job_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.fireworks.ai/v1/accounts/{account_id}/evaluationJobs/{evaluation_job_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fireworks.ai/v1/accounts/{account_id}/evaluationJobs/{evaluation_job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "evaluator": "<string>",
  "inputDataset": "<string>",
  "outputDataset": "<string>",
  "name": "<string>",
  "displayName": "<string>",
  "createTime": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "state": "JOB_STATE_UNSPECIFIED",
  "status": {
    "code": "OK",
    "message": "<string>"
  },
  "metrics": {},
  "outputStats": "<string>",
  "updateTime": "2023-11-07T05:31:56Z",
  "awsS3Config": {
    "credentialsSecret": "<string>",
    "iamRoleArn": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>

Path Parameters

account_id
string
required

The Account Id

evaluation_job_id
string
required

The Evaluation Job Id

Query Parameters

readMask
string

The fields to be returned in the response. If empty or "*", all fields will be returned.

Response

200 - application/json

A successful response.

evaluator
string
required

The fully-qualified resource name of the Evaluation used by this job.

Format: accounts/{account_id}/evaluators/{evaluator_id}

inputDataset
string
required

The fully-qualified resource name of the input Dataset used by this job.

Format: accounts/{account_id}/datasets/{dataset_id}

outputDataset
string
required

The fully-qualified resource name of the output Dataset created by this job.

Format: accounts/{account_id}/datasets/{output_dataset_id}

name
string
read-only
displayName
string
createTime
string<date-time>
read-only
createdBy
string
read-only
state
enum<string>
default:JOB_STATE_UNSPECIFIED
read-only

JobState represents the state an asynchronous job can be in.

  • JOB_STATE_PAUSED: Job is paused, typically due to account suspension or manual intervention.
  • JOB_STATE_DELETED: Job has been deleted.
Available options:
JOB_STATE_UNSPECIFIED,
JOB_STATE_CREATING,
JOB_STATE_RUNNING,
JOB_STATE_COMPLETED,
JOB_STATE_FAILED,
JOB_STATE_CANCELLED,
JOB_STATE_DELETING,
JOB_STATE_WRITING_RESULTS,
JOB_STATE_VALIDATING,
JOB_STATE_DELETING_CLEANING_UP,
JOB_STATE_PENDING,
JOB_STATE_EXPIRED,
JOB_STATE_RE_QUEUEING,
JOB_STATE_CREATING_INPUT_DATASET,
JOB_STATE_IDLE,
JOB_STATE_CANCELLING,
JOB_STATE_EARLY_STOPPED,
JOB_STATE_PAUSED,
JOB_STATE_DELETED
status
Mimics [https://github.com/googleapis/googleapis/blob/master/google/rpc/status.proto] · object
read-only
metrics
object
read-only
outputStats
string

The output dataset's aggregated stats for the evaluation job.

updateTime
string<date-time>
read-only

The update time for the evaluation job.

awsS3Config
object

The AWS configuration for S3 dataset access.